@import "~sass-material-colors";
@import "./../UIMainMenu/variables";

@media (max-width: $UI_MAIN_MENU_MOBILE_TRIGGER) {
  :host {
    display: block;
  }
}

@media (min-width: $UI_MAIN_MENU_MOBILE_TRIGGER + 1px) {
  :host {
    display: none;
  }
}

.cmp.cmp-ui-main-slide-menu {
  a, button {
    outline: 0!important;
  }

  @keyframes lp-ui-slide-menu-animation-slide-in-opacity {
    0% {
      opacity: 0;
    }

    100% {
      opacity: 1;
    }
  }

  @keyframes lp-ui-slide-menu-animation-slide-in-transform {
    0% {
      transform: translateX(-100%);
    }

    100% {
      transform: translateX(0%);
    }
  }

  @keyframes lp-ui-slide-menu-animation-slide-out-opacity {
    0% {
      opacity: 1;
    }

    100% {
      opacity: 0;
    }
  }

  @keyframes lp-ui-slide-menu-animation-slide-out-transform {
    0% {
      transform: translateX(0%);
    }

    100% {
      transform: translateX(-100%);
    }
  }

  .slide-in {
    .slide-backdrop {
      animation-name: lp-ui-slide-menu-animation-slide-in-opacity;
      animation-duration: 0.2s;
      animation-iteration-count: 1;
      animation-timing-function: cubic-bezier(0.4, 0.0, 0.6, 1);
      animation-fill-mode: forwards;
    }

    .slide {
      animation-name: lp-ui-slide-menu-animation-slide-in-transform;
      animation-duration: 0.2s;
      animation-iteration-count: 1;
      animation-timing-function: cubic-bezier(0.4, 0.0, 0.6, 1);
      animation-fill-mode: forwards;
    }
  }

  .slide-out {
    .slide-backdrop {
      animation-name: lp-ui-slide-menu-animation-slide-out-opacity;
      animation-duration: 0.2s;
      animation-iteration-count: 1;
      animation-timing-function: cubic-bezier(0.4, 0.0, 0.6, 1);
      animation-fill-mode: forwards;
    }

    .slide {
      animation-name: lp-ui-slide-menu-animation-slide-out-transform;
      animation-duration: 0.2s;
      animation-iteration-count: 1;
      animation-timing-function: cubic-bezier(0.4, 0.0, 0.6, 1);
      animation-fill-mode: forwards;
    }
  }

  .slide-menu-container {
    position: fixed;
    top: 0; bottom: 0;
    left: 0; right: 0;
    overflow: hidden;
    z-index: 8888;

    .slide-backdrop {
      z-index: 0;
      background-color: rgba(0, 0, 0, 0.9);
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;

      @keyframes lp-ui-slide-menu-animation-slide-in {
        0% {
          transform: translateX(-100%);
        }

        100% {
          transform: translateX(0);
        }
      }
    }

    .slide {
      z-index: 1;
      box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);

      @keyframes lp-ui-slide-menu-animation-slide-in {
        0% {
          opacity: 0;
        }

        100% {
          opacity: 1;
        }
      }

      height: 100%;
      overflow: hidden;
      background-color: #ffffff;
      box-sizing: border-box;

      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      width: 100%; max-width: 70%;

      display: flex;
      flex-direction: column;

      .top {
        height: 100%;
        overflow: auto;
      }

      .bottom {
        height: 80px;
        flex-shrink: 0;
        border-top: 1px solid #cccccc;
      }

      ul.menu-items {
        margin: 0;
        padding: 0;
        list-style-type: none;
        min-width: 320px;

        li {
          border-bottom: 1px dotted #cccccc;

          .menu-item {
            border: 0;
            background-color: transparent;
            color: #000000;
            text-decoration: none;
            font-family: "Futura PT Book", sans-serif;
            font-weight: normal;
            font-size: 18px;
            display: block;
            padding: 25px 15px;
          }

          .menu-item.is-active {
            color: material-color("blue-grey", "500");
          }

          .menu-item-back {
            font-family: "Futura PT", sans-serif;
            text-transform: uppercase;
          }
        }
      }
    }
  }

  .hamburger-icon-container {
    position: fixed;
    top: 15px; left: 15px;
    z-index: 8888;

    $BUTTON_SIZE: 48px;

    button {
      display: block;
      width: $BUTTON_SIZE;
      height: $BUTTON_SIZE;
      line-height: $BUTTON_SIZE;
      text-align: center;
      background-color: #ffffff;
      border: 1px solid #cccccc;
      background-image: url('./resources/icon.png');
      background-repeat: no-repeat;
      background-position: center center;
      background-size: 16px 16px;
      border-radius: 100%;
      box-shadow: 0 0 0 5px rgba(255,255,255,0.95);
    }
  }
}
